/* flabel.cpp
 *
 * pte@ddsw.nl
 */

#include <qlabel.h>
#include <qevent.h>
#include "flabel.moc"

FLabel::FLabel( QWidget *parent, const char *name, WFlags f )
	: QLabel( parent, name, f )
{
}

FLabel::FLabel( const char *text, QWidget *parent,
			const char *name, WFlags f)
 	: QLabel( text, parent, name, f )
{
}

void FLabel::mousePressEvent( QMouseEvent *m )
{
	QLabel::mousePressEvent( m ) ;
	emit notifyMousePressEvent( m ) ;
}

void FLabel::mouseReleaseEvent( QMouseEvent *m )
{
	QLabel::mouseReleaseEvent( m ) ;
	emit notifyMouseReleaseEvent( m ) ;
}

void FLabel::mouseMoveEvent( QMouseEvent *m )
{
	QLabel::mouseMoveEvent( m ) ;
	emit notifyMouseMoveEvent( m ) ;
}


